This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 476579

Summary: Patch to add notification of usb disk attachment to machine
Product: [Fedora] Fedora Reporter: Kevin DeKorte <kdekorte>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: harald
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-16 04:29:18 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
place this file in /etc/udev/rules.d/99-custom.rules
none
place this file in /etc/udev/scripts/send-notification none

Description Kevin DeKorte 2008-12-15 16:06:42 EST
Created attachment 327026 [details]
place this file in /etc/udev/rules.d/99-custom.rules

Description of problem:
When a USB disk is attached, notification of this would be useful. This patch to the udev rules uses notify-send to put a notification bubble on the primary display. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kevin DeKorte 2008-12-15 16:07:25 EST
Created attachment 327027 [details]
place this file in /etc/udev/scripts/send-notification
Comment 2 Kevin DeKorte 2008-12-15 16:08:07 EST
By adding these two files a notification icon and device name will be shown on the primary display.
Comment 3 Harald Hoyer 2008-12-16 04:29:18 EST
Huh? For which desktop is this needed? Modern desktops use hal and dbus notification and the future is DeviceKit. Please consider using a desktop service/daemon which uses http://hal.freedesktop.org/docs/DeviceKit/

These files are not going be part of the standard udev package. If really needed, they can be provided by the package, which needs them itself.